## AgsSolverMatrix

AgsSolverMatrix — solver matrix

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_SOLVER_MATRIX_GET_OBJ_MUTEX()
gchar * | ags_solver_matrix_get_source_function ()
void | ags_solver_matrix_set_source_function ()
guint | ags_solver_matrix_get_row_count ()
guint | ags_solver_matrix_get_column_count ()
GList * | ags_solver_matrix_get_solver_path ()
void | ags_solver_matrix_set_solver_path ()
gchar * | ags_solver_matrix_to_string ()
void | ags_solver_matrix_parse ()
void | ags_solver_matrix_insert_vector ()
void | ags_solver_matrix_remove_vector ()
void | ags_solver_matrix_eliminate ()
void | ags_solver_matrix_solve_default ()
AgsSolverMatrix * | ags_solver_matrix_new ()

## Properties

guint | column-count | Read
guint | row-count | Read
gpointer | solver-path | Read / Write
char * | source-function | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsSolverMatrix

## Includes

    #include <ags/lib/ags_solver_matrix.h>

## Description

The AgsSolverMatrix contains the solver vectors.

## Functions

### AGS_SOLVER_MATRIX_GET_OBJ_MUTEX()

    #define AGS_SOLVER_MATRIX_GET_OBJ_MUTEX(obj) (&(((AgsSolverMatrix *) obj)->obj_mutex))

### ags_solver_matrix_get_source_function ()

    gchar *
    ags_solver_matrix_get_source_function (AgsSolverMatrix *solver_matrix);

Get column count of `solver_matrix` .

#### Parameters

solver_matrix | the AgsSolverMatrix |

#### Returns

the column count

Since: 3.9.3

### ags_solver_matrix_set_source_function ()

    void
    ags_solver_matrix_set_source_function (AgsSolverMatrix *solver_matrix,
                                           gchar *source_function);

Set `source_function` of `solver_matrix` .

#### Parameters

solver_matrix | the AgsSolverMatrix |
source_function | the source function |

Since: 3.9.3

### ags_solver_matrix_get_row_count ()

    guint
    ags_solver_matrix_get_row_count (AgsSolverMatrix *solver_matrix);

Get row count of `solver_matrix` .

#### Parameters

solver_matrix | the AgsSolverMatrix |

#### Returns

the row count

Since: 3.9.3

### ags_solver_matrix_get_column_count ()

    guint
    ags_solver_matrix_get_column_count (AgsSolverMatrix *solver_matrix);

### ags_solver_matrix_get_solver_path ()

    GList *
    ags_solver_matrix_get_solver_path (AgsSolverMatrix *solver_matrix);

Get solver path of `solver_matrix` .

#### Parameters

solver_matrix | the AgsSolverMatrix |

#### Returns

the GList containing AgsSolverPath.

[transfer full]

Since: 6.7.1

### ags_solver_matrix_set_solver_path ()

    void
    ags_solver_matrix_set_solver_path (AgsSolverMatrix *solver_matrix,
                                       GList *solver_path);

Get column count of `solver_matrix` .

#### Parameters

solver_matrix | the AgsSolverMatrix |
solver_path | the solver path. | [transfer full]

Since: 6.7.1

### ags_solver_matrix_to_string ()

    gchar *
    ags_solver_matrix_to_string (AgsSolverMatrix *solver_matrix);

To string of `solver_matrix` .

#### Parameters

solver_matrix | the AgsSolverMatrix |

#### Returns

the new string representation.

[transfer full]

Since: 5.5.1

### ags_solver_matrix_parse ()

    void
    ags_solver_matrix_parse (AgsSolverMatrix *solver_matrix,
                             gchar *source_function);

Parse `source_function` and apply to `solver_matrix` .

#### Parameters

solver_matrix | the AgsSolverMatrix |
source_function | the normalized source function |

Since: 3.9.3

### ags_solver_matrix_insert_vector ()

    void
    ags_solver_matrix_insert_vector (AgsSolverMatrix *solver_matrix,
                                     AgsSolverVector *solver_vector,
                                     gint position);

Insert `solver_vector` to `solver_matrix` .

#### Parameters

solver_matrix | the AgsSolverMatrix |
solver_vector | the AgsSolverVector |
position | the position |

Since: 3.2.0

### ags_solver_matrix_remove_vector ()

    void
    ags_solver_matrix_remove_vector (AgsSolverMatrix *solver_matrix,
                                     AgsSolverVector *solver_vector);

Remove `solver_vector` from `solver_matrix` .

#### Parameters

solver_matrix | the AgsSolverMatrix |
solver_vector | the AgsSolverVector |

Since: 3.2.0

### ags_solver_matrix_eliminate ()

    void
    ags_solver_matrix_eliminate (AgsSolverMatrix *solver_matrix,
                                 guint nth_column,
                                 guint nth_row_a,
                                 guint nth_row_b);

Eliminate one column of `solver_matrix` .

#### Parameters

solver_matrix | the AgsSolverMatrix |
nth_column | the nth column |
nth_row_a | the nth row as a |
nth_row_b | the nth row as b |

Since: 3.9.3

### ags_solver_matrix_solve_default ()

    void
    ags_solver_matrix_solve_default (AgsSolverMatrix *solver_matrix);

Default solve.

#### Parameters

solver_matrix | the AgsSolverMatrix |

Since: 5.3.4

### ags_solver_matrix_new ()

    AgsSolverMatrix *
    ags_solver_matrix_new ();

Instantiate a new AgsSolverMatrix.

#### Returns

the new instance

Since: 3.0.0

## Property Details

### The `“column-count”` property

      “column-count”             guint

The column count of the term table.

Owner: AgsSolverMatrix

Flags: Read

Default value: 0

Since: 3.9.3

### The `“row-count”` property

      “row-count”                guint

The row count of the term table.

Owner: AgsSolverMatrix

Flags: Read

Default value: 0

Since: 3.9.3

### The `“solver-path”` property

      “solver-path”              gpointer

The assigned solver path.

Owner: AgsSolverMatrix

Flags: Read / Write

Since: 6.7.1

### The `“source-function”` property

      “source-function”          char *

The assigned source-function.

Owner: AgsSolverMatrix

Flags: Read / Write

Default value: NULL

Since: 3.9.3